/* libfir/src/libfir/100_fir.h
 *
 *  Copyright: ©2014, Laurence Withers.
 *  Author: Laurence Withers <l@lwithers.me.uk>
 *  License: GPLv3
 */



struct fir_filter_t;



enum fir_symmetry {
    fir_symmetry_none,
    fir_symmetry_odd,
    fir_symmetry_even,
};



struct fir_filter_t* fir_filter_new(const double* coeff, int ncoeff,
    enum fir_symmetry symm);

void fir_filter_free(struct fir_filter_t* fi);

struct fir_filter_t* fir_filter_clone(const struct fir_filter_t* fi);

double fir_filter(struct fir_filter_t* fi, double x);



/* options for text editors
vim: expandtab:ts=4:sw=4
*/
